
Name:    telepathy-kde-presence-applet
Summary: Plasma applet for managing your Telepathy account presence
Version: 0.1.0
Release: 2%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/playground/network/telepathy/telepathy-presence-applet
Source0: http://download.kde.org/unstable/telepathy-kde/%{version}/src/%{name}_%{version}.tar.bz2
# all QML, neat -- rex
BuildArch: noarch

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel

Requires: telepathy-kde-presence-dataengine >= %{version}

%description
%{summary}.


%prep
%setup -q -n %{name}_%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%files
%doc COPYING 
%{_kde4_appsdir}/plasma/plasmoids/org.kde.telepathy-presence/
%{_kde4_datadir}/kde4/services/plasma-applet-telepathy-presence.desktop


%changelog
* Fri Sep 23 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-2
- fix Source0 URL
- fix spaces/tabs

* Fri Aug 12 2011 Rex Dieter <rdieter@fedoraproject.org> 0.1.0-1
- first try


